vtkImageYBRToRGB Class Reference

`#include <vtkImageYBRToRGB.h>`

Inheritance diagram for vtkImageYBRToRGB:
[legend]
Collaboration diagram for vtkImageYBRToRGB:
[legend]

## Public Member Functions

void | PrintSelf (ostream &os, vtkIndent indent)
| vtkTypeMacro (vtkImageYBRToRGB, vtkThreadedImageAlgorithm)

## Static Public Member Functions

static vtkImageYBRToRGB * | New ()

## Protected Member Functions

| vtkImageYBRToRGB ()
| ~vtkImageYBRToRGB ()
void | ThreadedExecute (vtkImageData *inData, vtkImageData *outData, int ext[6], int id)

## Constructor & Destructor Documentation

## vtkImageYBRToRGB()

vtkImageYBRToRGB::vtkImageYBRToRGB | ( |  | ) |

protected

Referenced by New(), ThreadedExecute(), and vtkTypeMacro().

## ~vtkImageYBRToRGB()

vtkImageYBRToRGB::~vtkImageYBRToRGB | ( |  | ) |

inline protected

## Member Function Documentation

## New()

vtkImageYBRToRGB * vtkImageYBRToRGB::New | ( |  | ) |

static

References vtkImageYBRToRGB().

## PrintSelf()

void vtkImageYBRToRGB::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent )

## ThreadedExecute()

void vtkImageYBRToRGB::ThreadedExecute | ( | vtkImageData * | inData,
|  | vtkImageData * | outData,
|  | int | ext[6],
|  | int | id )

protected

References vtkImageYBRToRGB().

## vtkTypeMacro()

vtkImageYBRToRGB::vtkTypeMacro | ( | vtkImageYBRToRGB | ,
|  | vtkThreadedImageAlgorithm | )

References vtkImageYBRToRGB().

The documentation for this class was generated from the following file:

- vtkImageYBRToRGB.h